Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command
Class WindowCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.portal.command.PortalObjectCommand
                  org.jboss.portal.core.model.portal.command.PortalCommand
                      org.jboss.portal.core.model.portal.command.PageCommand
                          org.jboss.portal.core.model.portal.command.WindowCommand

Direct Known Subclasses:
  InvokeWindowCommand, MoveWindowCommand, RenderWindowCommand

    public abstract class WindowCommand

extends PageCommand

A superclass for command that target a specific window.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected Window` | `window` The window.

Fields inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`page`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`portal`

Fields inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`dashboard, target, targetId`

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`WindowCommand(PortalObjectId windowId)`

Method Summary
`void` | `enforceSecurity(PortalAuthorizationManager pam)` We only enforce security at instance and component level.
`Window` | `getWindow()`
`protected Page` | `initPage()`

Methods inherited from class org.jboss.portal.core.model.portal.command.PageCommand
`getPage, initPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalCommand
`acquireResources, getPortal`

Methods inherited from class org.jboss.portal.core.model.portal.command.PortalObjectCommand
`getTarget, getTargetId, isDashboard`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, execute, getContext, getControllerContext, getInfo, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### window

    protected Window window

  The window.

Constructor Detail

### WindowCommand

    public WindowCommand(PortalObjectId windowId)
                  throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### initPage

    protected final Page initPage()

  Specified by:
    `initPage` in class `PageCommand`

### getWindow

    public final Window getWindow()

### enforceSecurity

    public void enforceSecurity(PortalAuthorizationManager pam)
                         throws SecurityException

  We only enforce security at instance and component level.

  Overrides:
    `enforceSecurity` in class `PortalObjectCommand`
  Parameters:
    `pam` -
  Throws:
    `SecurityException`
    `PortalSecurityException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD